# Fetch the program user's notifications. (deprecated)

Fetches multiple inbox notification records at a time.

Endpoint: GET /v2/assistant/notifications
Version: 2026-05-01
Security: oauth2_as_a_user

## Security:

  - `oauth2_as_a_user` (unknown)
    oauth2 scopes: assistant.inbox.read

## Query parameters:

  - `filter.unacknowledged` (boolean)
    Get only unacknowledged notifications

  - `filter.ids` (array)
    Filter notifications by IDs

  - `page.size` (integer)
    Return ``page.size`` number of records starting at ``size*number``. The default page size is 10 (number of records per page), resulting in the first page being retrieved. The maximum page size is 100.

  - `page.number` (integer)
    Using classical pagination, the page number to return. Default is 1

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer)
    Example: 1

  - `data.category` (string)
    Example: category_type

  - `data.acknowledged` (boolean)
    Example: false

  - `data.text` (string)
    Example: text

  - `data.label` (string)
    Example: Label name

  - `data.details` (object)

  - `data.details.url` (string)
    Example: url

  - `data.created_at` (string)
    Example: 2022-07-06T07:15:46.121Z

  - `data.updated_at` (string)
    Example: 2022-07-06T07:15:46.121Z

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 401:

  - `401` (unknown)
    Unauthenticated

